summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAustin English <wizardedit@gentoo.org>2016-09-07 13:48:18 -0500
committerAustin English <wizardedit@gentoo.org>2016-09-07 13:48:18 -0500
commit1d767151f41db197dce27b06aa737fb6c834b259 (patch)
treed4fd62830b730f70b3f2e2ae80b332752de00230 /games-board/grhino
parentgames-board/hexxagon: remove deprecated games eclass (diff)
downloadgentoo-1d767151f41db197dce27b06aa737fb6c834b259.tar.gz
gentoo-1d767151f41db197dce27b06aa737fb6c834b259.tar.bz2
gentoo-1d767151f41db197dce27b06aa737fb6c834b259.zip
games-board/grhino: remove deprecated games eclass
Also update to EAPI 6 Gentoo-Bug: https://bugs.gentoo.org/574082 Package-Manager: portage-2.3.0
Diffstat (limited to 'games-board/grhino')
-rw-r--r--games-board/grhino/grhino-0.16.1-r1.ebuild48
1 files changed, 48 insertions, 0 deletions
diff --git a/games-board/grhino/grhino-0.16.1-r1.ebuild b/games-board/grhino/grhino-0.16.1-r1.ebuild
new file mode 100644
index 00000000000..3d650c1dbb5
--- /dev/null
+++ b/games-board/grhino/grhino-0.16.1-r1.ebuild
@@ -0,0 +1,48 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+inherit eutils
+
+DESCRIPTION="Reversi game for GNOME, supporting the Go/Game Text Protocol"
+HOMEPAGE="http://rhino.sourceforge.net/"
+SRC_URI="mirror://sourceforge/rhino/${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="gnome gtp nls"
+
+RDEPEND="gnome? ( =gnome-base/libgnomeui-2* )
+ nls? ( virtual/libintl )"
+DEPEND="${RDEPEND}
+ nls? ( sys-devel/gettext )"
+
+src_prepare() {
+ default
+
+ sed -i '/^(\|locale\|help\|omf\|icon\|)/s:@datadir@:/usr/share:' \
+ Makefile.in || die
+}
+
+src_configure() {
+ if use gnome || use gtp; then
+ econf \
+ --localedir=/usr/share/locale \
+ $(use_enable gnome) \
+ $(use_enable gtp) \
+ $(use_enable nls)
+ else
+ econf \
+ --localedir=/usr/share/locale \
+ --enable-gtp \
+ --disable-gnome \
+ $(use_enable nls)
+ fi
+}
+
+src_install() {
+ default
+ use gnome && make_desktop_entry ${PN} GRhino
+}